Package com.microsoft.sqlserver.jdbc

# Class MaxResultBufferCounter

java.lang.Object
com.microsoft.sqlserver.jdbc.MaxResultBufferCounter

    public class MaxResultBufferCounter
    extends java.lang.Object

Implementation of ICounter for 'maxResultBuffer' property.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MaxResultBufferCounter​(long maxResultBuffer)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `increaseCounter​(long bytes)` |
`void` | `resetCounter()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MaxResultBufferCounter

public MaxResultBufferCounter​(long maxResultBuffer)

## Method Details

### increaseCounter

public void increaseCounter​(long bytes) throws SQLServerException

Throws:
  `SQLServerException`

### resetCounter

public void resetCounter()